Application: gvSIG desktop - gvSIG bugs #4211
When a project is saved without 3D views, it sometimes saves 3D elements
05/05/2016 05:19 PM - Mario Carrera

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Lluis Marqués

Category: 3D

Target version: 2.4.0-2829 (rev. org.gvsig.deskiop-2.0.19%)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When a project is saved and it doesn't have 3D views, it sometimes saves 3D elements.
It makes that when we open it in a gvSIG without 3D view extension we get a Persistence error.
| attach log file.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 4170: Recove... Closed

03/10/2016

History

#1 - 05/05/2016 05:19 PM - Mario Carrera
- Related to gvSIG feature requests #4170: Recovering a project when an element is corrupted added

#2 - 07/25/2016 07:20 PM - Alvaro Anguix
- Category set to 3D

#3 - 06/28/2017 11:08 AM - Alvaro Anguix

- Assignee set to Lluis Marqués

#4 - 07/12/2017 05:09 PM - Lluis Marqués

- Status changed from New to In progress

#5 - 07/12/2017 05:12 PM - Lluis Marqués

Se persisten las propiedades 3D de la vista, las propiedades 3D de cada capa y las propiedades 3D generales.

Voy a probar a reproducir el error.

#6 - 07/12/2017 05:19 PM - Lluis Marqués

- Target version set to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)
- Status changed from In progress to Invalid

He intentado reproducir el error pero no he podido. Deja abrir el proyecto normalmente.

Cierro tarea ya que creo recordar que se modifico la persistencia para que no fallara en caso de que no pudiera recuperar algunos datos de plugins no
instalados.

#7 - 07/13/2017 02:20 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#8 - 07/14/2017 10:24 AM - Alvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2829 (rev. org.gvsig.desktop-2.0.195)

Files

gvSIG-persistencia-3D.log 35.3 KB 05/05/2016 Mario Carrera

05/06/2024 22



